From b4e33fd45e56622a642eb9243069f3c3f5c66990 Mon Sep 17 00:00:00 2001
From: Upgrade Helper <auh@yoctoproject.org>
Date: Tue, 11 Aug 2026 07:07:02 +0000
Subject: [PATCH] epiphany: upgrade 50.4 -> 50.5
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

Source: NEWS

50.5 - August 10, 2026
======================

* Bugs fixed:
  - #2712 Crash when opening preferences dialog after deleting default search
    engine
  - #2868 Addressbar URL prettification does not understand IPv6 addresses
  - #2875 Editing password username creates duplicate entries
  - #2901 Memory leak in the core string utility function ephy_string_shorten()
  - !2091 password-manager: fix crash when deleting password record
  - !2094 Quote command line input before passing to shell
  - !2098 password-manager: avoid duplicate record when changing username
  - !2099 Fix crash when opening preferences dialog after deleting a search
    engine
  - !2104 Fix crash after adding a new OpenSearch engine

* Translation updates:
  - Belarusian (Vasil Pupkin)
  - Bulgarian (twlvnn kraftwerk)
  - German (Christian Kirbach)
  - Indonesian (Andika Triwidada)
  - Lao (Saikeo Kavhanxay)
  - Norwegian Bokmål (Kjartan Maraas)
  - Persian (Danial Behzadi)
  - Polish (Victoria Niedzielska)
  - Slovak (Jose Riha)
  - Thai (Aefgh Threenine)
---
 .../epiphany/{epiphany_50.4.bb => epiphany_50.5.bb}           | 2 +-
 .../files/0002-help-meson.build-disable-the-use-of-yelp.patch | 2 +-
 meta/recipes-gnome/epiphany/files/distributor.patch           | 4 ++--
 meta/recipes-gnome/epiphany/files/migrator.patch              | 2 +-
 4 files changed, 5 insertions(+), 5 deletions(-)
 rename meta/recipes-gnome/epiphany/{epiphany_50.4.bb => epiphany_50.5.bb} (94%)

diff --git a/meta/recipes-gnome/epiphany/epiphany_50.4.bb b/meta/recipes-gnome/epiphany/epiphany_50.5.bb
similarity index 94%
rename from meta/recipes-gnome/epiphany/epiphany_50.4.bb
rename to meta/recipes-gnome/epiphany/epiphany_50.5.bb
index 2b2d08b615..0ca89e662c 100644
--- a/meta/recipes-gnome/epiphany/epiphany_50.4.bb
+++ b/meta/recipes-gnome/epiphany/epiphany_50.5.bb
@@ -31,7 +31,7 @@ SRC_URI += "\
            file://migrator.patch \
            file://distributor.patch \
            "
-SRC_URI[archive.sha256sum] = "1e26f9901f0f08bfe943aa70163c953334c7ec3d4aefc8d354e8a9c140b334a7"
+SRC_URI[archive.sha256sum] = "825058b703457871097271a4ebbe6720d89a2a7eeee6c99a36b8bb2d605ea2eb"
 
 export GI_TYPELIB_PATH = "${STAGING_LIBDIR}/girepository-1.0/"
 
diff --git a/meta/recipes-gnome/epiphany/files/0002-help-meson.build-disable-the-use-of-yelp.patch b/meta/recipes-gnome/epiphany/files/0002-help-meson.build-disable-the-use-of-yelp.patch
index 3506113945..edded4874e 100644
--- a/meta/recipes-gnome/epiphany/files/0002-help-meson.build-disable-the-use-of-yelp.patch
+++ b/meta/recipes-gnome/epiphany/files/0002-help-meson.build-disable-the-use-of-yelp.patch
@@ -1,4 +1,4 @@
-From 00469cfc5818c776aa02546e9e5643a5cf903e8b Mon Sep 17 00:00:00 2001
+From 89ae9801b859f0bc635676979c683245f5e9341b Mon Sep 17 00:00:00 2001
 From: Alexander Kanavin <alex.kanavin@gmail.com>
 Date: Wed, 31 Jan 2018 15:50:38 +0200
 Subject: [PATCH] help/meson.build: disable the use of yelp
diff --git a/meta/recipes-gnome/epiphany/files/distributor.patch b/meta/recipes-gnome/epiphany/files/distributor.patch
index 4d3e13bb31..cc26b5a9e9 100644
--- a/meta/recipes-gnome/epiphany/files/distributor.patch
+++ b/meta/recipes-gnome/epiphany/files/distributor.patch
@@ -1,4 +1,4 @@
-From d3a99151068c9abc231cf562b2875bec83ddd1eb Mon Sep 17 00:00:00 2001
+From 0b19998d3aab45e51b9d8292c67d3c75f8cc096b Mon Sep 17 00:00:00 2001
 From: Richard Purdie <richard.purdie@linuxfoundation.org>
 Date: Fri, 26 Feb 2021 10:17:52 +0000
 Subject: [PATCH] Don't encode the distro from /etc/os-release into the
@@ -11,7 +11,7 @@ RP 2021/2/26
  1 file changed, 1 insertion(+)
 
 diff --git a/meson.build b/meson.build
-index c7dedcb..9518ced 100644
+index ffb399e..4e632c4 100644
 --- a/meson.build
 +++ b/meson.build
 @@ -15,6 +15,7 @@ if r.returncode() == 0
diff --git a/meta/recipes-gnome/epiphany/files/migrator.patch b/meta/recipes-gnome/epiphany/files/migrator.patch
index 0aeefc6f2b..01ae8144dc 100644
--- a/meta/recipes-gnome/epiphany/files/migrator.patch
+++ b/meta/recipes-gnome/epiphany/files/migrator.patch
@@ -1,4 +1,4 @@
-From 435d89fd265c334fc4b64a315d6d2732853c4463 Mon Sep 17 00:00:00 2001
+From c9cb53df6d2450f74e1795e1bcc64e6b49249591 Mon Sep 17 00:00:00 2001
 From: Richard Purdie <richard.purdie@linuxfoundation.org>
 Date: Thu, 25 Feb 2021 14:52:32 +0000
 Subject: [PATCH] epiphany: Fix reproducibility issue
-- 
2.47.1

